Description

Currently, any join performed on a table is a one to one join - it would be great to perform one to many joins.

Example:

Table A = Towns

Table B = Customers (aspatial)

Join on Town name - currently only returns the first customer name it gets to, it would be good to list all.

History

#1 - 2014-10-29 01:53 AM - Matthias Kuhn

- Status changed from Open to Closed

QGIS relations offer the possibility to define a 1:N relation and integrate with the feature form.

http://fulcrumapp.com/blog/using-relations-in-qgis/

http://blog.vitu.ch/10112013-1201/qgis-relations

#2 - 2014-10-29 02:16 AM - Ed Hudspeth

But this doesn't allow you to update a table - you have to click on each object. What about tables with 1000s of records - really need to see the join

functionality extended at least to allow you to concatenate all results rather than just take the first.

#3 - 2015-07-14 01:06 AM - Mathieu Pellerin - nIRV

I don't think this should be closed.

What is needed here is for the join functionality to allow for a 1-to-many join (like an SQL operation would do). It's useful and at times needed to do time

series animation through TimeManager, etc.

#4 - 2015-08-24 04:50 AM - Miroslav Umlauf

I also disagree with closing this. Integration with feature form doesn't really cut it in the case that somebody needs to create new dataset/table which

includes all 1:N variations.

#5 - 2017-08-15 03:13 PM - infobleep -
http://fulcrumapp.com/blog/using-relations-in-qgis/
http://blog.vitu.ch/10112013-1201/qgis-relations


- Description updated

- Status changed from Closed to Reopened

- Category set to Processing/QGIS

The ability to do open to many queries is extremely useful. The ability to return one table with all the records joined is also useful.

Imagine if one to one joins only worked as relations did. Now would that be as useful as the existone one to one join geoprocessing function? I personally

think not. Thus I feel it is the same with the one to many joins.

I'd like many to many joins, aka full joins but I appreciate that would be technically complex to impliment.

#6 - 2017-08-15 11:33 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Category changed from Processing/QGIS to Relations

infobleep - wrote:

The ability to do open to many queries is extremely useful. The ability to return one table with all the records joined is also useful.

Imagine if one to one joins only worked as relations did. Now would that be as useful as the existone one to one join geoprocessing function? I

personally think not. Thus I feel it is the same with the one to many joins.

I'd like many to many joins, aka full joins but I appreciate that would be technically complex to impliment.

am I missing something? don't we have 1:n and n:m relations since a long now?
